Bug 180787 - Prevent sysutils/tmux from underlying characters unexpectedly
Summary: Prevent sysutils/tmux from underlying characters unexpectedly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pietro Cerutti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-24 02:20 UTC by Julio Merino
Modified: 2013-07-29 09:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.27 KB, patch)
2013-07-24 02:20 UTC, Julio Merino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julio Merino 2013-07-24 02:20:00 UTC
	tmux 1.8 has a bug that causes it to unexpectedly underline all
	characters when the status bar requests a bold color.
	
	This only shows up when sshing into a FreeBSD box from Mac OS
	X's Terminal.app application.  The problem does not appear when
	logging into other systems that run the same version of tmux,
	such as NetBSD or various Linux variants.

	This problem has been fixed in the upstream repository of tmux,
	so I'm proposing to backport the fix to the FreeBSD port because
	this seems to annoyingly affect FreeBSD only.

How-To-Repeat: 	Log into a FreeBSD box from OS X and tell tmux to use a bold
	color in its status line.  When you start tmux, or when you
	reattach a session, the whole screen will be underlined.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-27 20:32:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gahr

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-07-29 09:30:18 UTC
Author: gahr
Date: Mon Jul 29 08:30:06 2013
New Revision: 323874
URL: http://svnweb.freebsd.org/changeset/ports/323874

Log:
  - Fix a bug that caused tmux to unexpectedly underline all
    characters when the status bar requests a bold color
  
  PR:		180787
  Submitted by:	Julio Merino <julio+host-mastodon-jmmv@meroh.net>

Added:
  head/sysutils/tmux/files/patch-tty.c   (contents, props changed)
Modified:
  head/sysutils/tmux/Makefile

Modified: head/sysutils/tmux/Makefile
==============================================================================
--- head/sysutils/tmux/Makefile	Mon Jul 29 08:13:51 2013	(r323873)
+++ head/sysutils/tmux/Makefile	Mon Jul 29 08:30:06 2013	(r323874)
@@ -3,6 +3,7 @@
 
 PORTNAME=	tmux
 PORTVERSION=	1.8
+PORTREVISION=	1
 CATEGORIES=	sysutils
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 

Added: head/sysutils/tmux/files/patch-tty.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/tmux/files/patch-tty.c	Mon Jul 29 08:30:06 2013	(r323874)
@@ -0,0 +1,25 @@
+$FreeBSD$
+
+Apply upstream commit cbee283c26968304b473e2191d2bb5f52208b58d to prevent
+OS X's Terminal.app turning on underlining when the status bar contains
+bold characters.
+
+--- tty.c
++++ tty.c
+@@ -220,7 +220,7 @@ tty_start_tty(struct tty *tty)
+ 		tty_puts(tty, "\033[?1000l\033[?1006l\033[?1005l");
+ 
+ 	if (tty_term_has(tty->term, TTYC_XT))
+-		tty_puts(tty, "\033[c\033[>4;1m\033[?1004h");
++		tty_puts(tty, "\033[c\033[>4;1m\033[?1004h\033[m");
+ 
+ 	tty->cx = UINT_MAX;
+ 	tty->cy = UINT_MAX;
+@@ -283,7 +283,7 @@ tty_stop_tty(struct tty *tty)
+ 		tty_raw(tty, "\033[?1000l\033[?1006l\033[?1005l");
+ 
+ 	if (tty_term_has(tty->term, TTYC_XT))
+-		tty_raw(tty, "\033[>4m\033[?1004l");
++		tty_raw(tty, "\033[>4m\033[?1004l\033[m");
+ 
+ 	tty_raw(tty, tty_term_string(tty->term, TTYC_RMCUP));
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pietro Cerutti freebsd_committer 2013-07-29 09:30:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!